WinXP / RubyMine 2 / JRuby 1.4 / ruby_debug_ide

On Windows XP I've installed RubyMine 2.0 Beta 3, JRuby 1.4.0 RC3, and the JRuby Fast Debugger (ruby-debug-base-0.10.3.1-java.gem). But when I go to install ruby_debug_ide I get the following error messages:

     jruby -S gem install --ignore-dependencies ruby-debug-ide-0.4.9.gem

     JRuby limited openssl loaded. gem install jruby-openssl for full support.
     http://jruby.kenai.com/pages/JRuby_Builtin_OpenSSL
     Building native extensions.  This could take a while...
     rake aborted!
     Don't know how to build task '2>&1'

Does anyone know how to get ruby-debug-ide installed with JRuby/RubyMine on WIndows? It'd be awesome to be able to debug in RubyMine. Thanks for any info.

4 comments
Comment actions Permalink

Hi Bryan,

this is a problem in jruby 1.4 on windows, see http://jira.codehaus.org/browse/JRUBY-4213
Workaround (from the link above) is to run set rake=jruby -S rake in the command line before installation:

C:\Users\Dennis.Ushakov.LABS>cd C:\jruby-1.4.0


C:\jruby-1.4.0>set PATH=C:\jruby-1.4.0\bin;%PATH%


C:\jruby-1.4.0>set rake=jruby -S rake


C:\jruby-1.4.0>jruby -S gem install --ignore-dependencies ruby-debug-ide
JRuby limited openssl loaded. gem install jruby-openssl for full support.
http://jruby.kenai.com/pages/JRuby_Builtin_OpenSSL
Building native extensions.  This could take a while...
Successfully installed ruby-debug-ide-0.4.9
1 gem installed
Installing ri documentation for ruby-debug-ide-0.4.9...
Installing RDoc documentation for ruby-debug-ide-0.4.9...


C:\jruby-1.4.0>

0
Comment actions Permalink

Thanks, that worked like a charm and I am now able to debug from RubyMine with JRuby. (It didn't work while I was in the JRuby bin directory, by the by, or at least it appeared not to work from there.)

Regards,

Bryan

0
Comment actions Permalink

By the way, I've faced with similar problem on Ubuntu and JRuby 1.3. The workaround helped.

0
Comment actions Permalink

We have implemented that workaround in our automatic ruby-debug installer, fix will be available in the next public version

0

Please sign in to leave a comment.